AR# 72139

2019.x Zynq UltraScale+ MPSoC: Yocto or PetaLinux return warnings when you enable libmali with the fbdev windowing system

描述

In Yocto or PetaLinux 2019.x on Zynq UltraScale+ devices, build returns warnings when you enable libmali with the fbdev windowing system:

WARNING: You have included the meta-gnome layer, but 'x11' has not been enabled in your DISTRO_FEATURES. Some bbappend files may not take effect. See the meta-gnome README for details on enabling meta-gnome support.

解决方案

These warnings can be safely ignored.

Whenever you select individual backends, as in the case of fbdev, packaging will return a warning to indicate that you have deviated from the default distro settings.

It should still work functionally without any issue. If you want to remove this gnome warning, follow the steps below:

Yocto:

Add the below variable in build/conf/local.conf

PetaLinux:

Add the below variable in <plnx-proj-root>/project-spec/meta-user/conf/petalinuxbsp.conf

SKIP_META_GNOME_SANITY_CHECK_zynqmp = "1"

AR# 72139
日期 05/29/2019
状态 Active
Type 综合文章
器件
Tools
Boards & Kits